/* Controller */

#import <Cocoa/Cocoa.h>
#import "LDAPQuery.h"
#import "DataSource.h"

@interface Controller : NSObject
{
    IBOutlet id attributeOutlineView;
    IBOutlet id baseDNTextField;
    IBOutlet id entryBrowserView;
    IBOutlet id hostTextField;
    IBOutlet id passwordTextfield;
    IBOutlet id portTextField;
    IBOutlet id sslCheckBox;
    IBOutlet id saslUserNameTextfield;
    IBOutlet id usernameTextfield;
    IBOutlet id browserWindow;
    IBOutlet id mainWindow;
    IBOutlet id connectWindow;

    IBOutlet id authPopUpButton;
    NSMutableDictionary *toolbarItems;

    LDAPQuery *ldap;
}
- (IBAction)connect:(id)sender;
- (IBAction)deleteAttribute:(id)sender;
- (IBAction)deleteEntry:(id)sender;
- (IBAction)insertAttribute:(id)sender;
- (IBAction)new:(id)sender;
- (IBAction)revert:(id)sender;
- (IBAction)save:(id)sender;
- (IBAction)fetchDNButton:(id)sender;
- (IBAction)authMethodChanged:(id)sender;

- (IBAction)duplicateEntry:(id)sender;
-addToolbarItemToDictionary:(NSMutableDictionary *)dict label:(NSString *)label paletteLabel:(NSString *)pl target:(id)target action:(SEL)action toolTip:(NSString *)toolTip identifier:(NSString *)identifier image:(NSImage *)image;
@end
