//
//  Entry.m
//  LDAPManager
//
//  Created by Timothy Perfitt on Sun Mar 28 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import "Entry.h"


@implementation Entry

-(Entry *)initWithDN:(NSString *)newDN parent:(Entry *)parent children:(NSArray *)newChildren attributes:(NSDictionary *)newAttr{
    [super init];
    [self setDN:newDN];
    [self setParent:parent];
    [self setLDAPAttributes:newAttr];
    [self setChildren:newChildren];    
    return self;
}

-(NSMutableDictionary *)children{
    return children;
}

-(NSString *)dn{
    return dn;
}

-(LDAPAttribute *)ldapAttributes{
    return ldapAttributes;
}
-(int)compare:(Entry *)val{
    return [[val rdn] caseInsensitiveCompare:rdn];
}

-(void)setDN:(NSString *)newRDN{
    [newRDN retain];
    [dn release];
    dn=newRDN;
}
-(void)setChildren:(NSMutableDictionary *)val{
    [val retain];
    [children release];
    children=val;
}
-(void)setChildren:(NSMutableDictionary *)val{
    [val retain];
    [children release];
    children=val;
}


/*-(void)addChild:(Entry *)val forKey:(NSString *)rdnKey{
    if (!children) [self setChildren:[NSMutableDictionary dictionary]];
    [children setObject:val forKey:rdnKey];
}
-(void)optimize{
    [self setChildrenNames:[[children allKeys] sortedArrayUsingSelector:@selector(caseInsensitiveCompare:)]];
}

*/
-(void)setLDAPAttributes:(NSDictionary *)val{
    [val retain];
    [ldapAttributes release];
    ldapAttributes=val;
}
-(void)setParent:(Entry *)val{
    [val retain];
    [parent release];
    parent=val;
}


/*-(NSArray *)childrenNames{
    return childrenNames;
}
-(Entry *)parent{
    return parent;
}
*/

-(void)dealloc{
    [parent release];
    [ldapAttributes release];
    [children release];
    [dn release];
    [super dealloc];
}

@end
