/* FavoritesDataSource */

#import <Cocoa/Cocoa.h>

@interface FavoritesDataSource : NSObject
{
    //ConnectWindowController *cwc;
    NSMenuItem *menuItem;
    IBOutlet NSMenu *favoritesMenu;
    IBOutlet NSMenu *favoritesAddMenu;
    IBOutlet NSMenu *favoritesRemoveMenu;
    IBOutlet id favoritesTableView;
    IBOutlet id mainDocument;
    NSUserDefaults *prefs;
    NSMutableArray *prefsArray;
    
}



//- (ConnectWindowController *)connectWindow;
- (BOOL)createNewDocumentWithCustomData:(NSDictionary *)data;

    // Favorite Menu Methods
- (void)newAddToFavoritesItem:(NSDictionary *)menuItemData;
- (void)removeAddToFavoritesItem:(NSMenuItem *)m;
- (void)updateRemoveFromFavoritesItems;
- (IBAction)addToFavorites:(id)sender;
- (IBAction)removeFavorite:(id)sender;
- (IBAction)openFavorite:(id)sender;
- (IBAction)favoriteSelectedFromTable:(id)sender;
- (NSMenuItem *)createMenuItem:(NSDictionary *)menuItemData;
- (void)setFavoritesKeyEquivalents;

    // Prefs
- (void)updateFavoritesPrefs;
@end