//
//  Entry.h
//  LDAPManager
//
//  Created by Timothy Perfitt on Sun Mar 28 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Entry : NSObject {
    Entry *parent;
    NSArray *children;
    NSArray *ldapAttributes;
  //  NSString *rdn;
      NSString *dn;
    //LDAPAttribute *ldapAttributes;
//    NSArray *childrenNames;
}

-(Entry *)initWithDN:(NSString *)newDN parent:(Entry *)parent children:(NSArray *)newChildren attributes:(NSDictionary *)newAttr;

-(NSArray *)children;
//-(void)optimize;
-(NSString *)dn;

-(LDAPAttribute *)ldapAttributes;

-(void)setDN:(NSString *)newRDN;
//-(NSArray *)childrenNames;
-(void)setChildren:(NSArray *)val;
//-(void)setChildrenNames:(NSArray *)val;
-(void)setParent:(Entry *)val;
-(Entry *)parent;
-(void)setLDAPAttributes:(NSArray *)val;
//-(int)compare:(Entry *)val;
//-(void)addChild:(Entry *)val forKey:(NSString *)rdnKey;
@end
