//
//  LDAPAttribute.h
//  LDAPManager
//
//  Created by Steve Burke on Sat Apr 17 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface LDAPAttribute : NSObject {
    NSString *itemName;
    NSMutableArray *children;
	LDAPAttribute *parent;
	BOOL isValue;
}

// Accessor methods for the string
- (NSString *)itemName;
- (void)setItemName:(NSString *)s;

// Accessors for the children
- (LDAPAttribute *)addChildNamed:(NSString *)s;
- (int)childrenCount;
- (LDAPAttribute *)childAtIndex:(int)i;
- (NSDictionary *)childrenAttributes;

// Accessors for the parent
- (void)setParent:(LDAPAttribute *)a;
- (LDAPAttribute *)getParent;

// Accessors for the isValue
- (void)setIsValue:(BOOL)b;
- (BOOL)isValue;

// Other methods
- (BOOL)expandable;
- (NSArray *)getAllDNs;
- (NSString *)allChildrenNamesAsString;
- (BOOL)isNameMultiLined;

@end

